function xp = logist(t,x)
%% *************************************************************************
%
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
% 
% % Example of Logistic equation
% direct solution with the
% Matlab solver ODE45
%
%% *************************************************************************

global r K  % Repeat the global statement in the
             % receiving function
% Logistic equation 
xp = r*x*(1-x/K);