function [R,lag,R_m,R_std]=autocorr(resid,D,fig_num)
R_m=mean(resid);R_std=std(resid);N=length(resid);
r_norm=(resid-R_m)/R_std;
figure(fig_num)
set(fig_num,'Position',[545 469 508 313])
hold off;clf
subplot(211)
plot(resid,'.-')
a=axis;
axis tight
hold on
plot([a(1) a(2)],[0 0],':k')
set(gca,'FontName','Arial','FontSize',10)
xlabel('sample')
ylabel('Residuals')

subplot(212)
percs=0.95; % Livello di confidenza
alfa_inf=(1-percs)/2; alfa_sup=1-alfa_inf;
t=tinv(alfa_sup,N-1);
[R,lag]=xcov(r_norm,r_norm,D,'coeff');
il=find(lag>=0);
lag=lag(il);
R=R(il);
plot(lag,R,'-ob')
set(gca,'FontName','Arial','FontSize',10)
hold on
plot([0 max(lag)],[-t/sqrt(N) -t/sqrt(N)],':r')
a=axis;
axis([0 max(lag) -1 1]);
plot([a(1) a(2)],[t/sqrt(N) t/sqrt(N)],':r')
plot([a(1) a(2)],[0 0],'k')
xlabel('lag')
ylabel('Residuals autocorrelation')