function dx = deriv1(x)
% 
% Environmental Systems Analysis with Matlab 
% S. Marsili-Libelli
%
%  CRC Press 2016
% ISBN 9781498706353
% Matlab code revised by Emanuele El Basri and Giacomo Barni
% *************************************************************************
% 
% Computes the first derivative of the function X.
%
% *************************************************************************
%

N = length(x);
for i = 3:N-2
    dx(i) = (1/12)*(x(i-2) - 8*x(i-1) + 8*x(i+1) - x(i+2));
end

end